[Android] Compile-simple: permit to give the password in parameters
Jean-Baptiste Kempf
git at videolan.org
Fri Feb 6 17:14:34 CET 2015
vlc-ports/android | branch: master | Jean-Baptiste Kempf <jb at videolan.org> | Fri Feb 6 17:08:01 2015 +0100| [363b97a5623b5e555e10b2e3b218f23ed1f19dfd] | committer: Jean-Baptiste Kempf
Compile-simple: permit to give the password in parameters
> http://git.videolan.org/gitweb.cgi/vlc-ports/android.git/?a=commit;h=363b97a5623b5e555e10b2e3b218f23ed1f19dfd
---
compile-simple.sh | 22 ++++++++++++++++++----
1 file changed, 18 insertions(+), 4 deletions(-)
diff --git a/compile-simple.sh b/compile-simple.sh
index 751cf6f..45b725f 100755
--- a/compile-simple.sh
+++ b/compile-simple.sh
@@ -23,12 +23,17 @@ while [ $# -gt 0 ]; do
ANDROID_ABI=$2
shift
;;
- release|--release)
+ -r|release|--release)
RELEASE=1
;;
-s|--signature)
KEYSTORE_FILE=$2
shift
+ ;;
+ -p|--password)
+ PASSWORD_KEYSTORE=$2
+ shift
+ ;;
esac
shift
done
@@ -38,8 +43,17 @@ if [ -z "$ANDROID_ABI" ]; then
ANDROID_ABI="armeabi-v7a"
fi
-if [ -z "$KEYSTORE_FILE"]; then
+if [ -z "$KEYSTORE_FILE" ]; then
KEYSTORE_FILE="$HOME/.android/debug.keystore"
+ PASSWORD_KEYSTORE="android"
+ STOREALIAS="androiddebugkey"
+else
+ if [ -z "$PASSWORD_KEYSTORE" ]; then
+ echo "No password"
+ exit 1
+ fi
+ rm -f gradle.properties
+ STOREALIAS="vlc"
fi
#############
@@ -87,8 +101,8 @@ fi
if [ ! -f gradle.properties ]; then
echo keyStoreFile=$KEYSTORE_FILE > gradle.properties
- echo storealias=androiddebugkey >> gradle.properties
- echo storepwd=android >> gradle.properties
+ echo storealias=$STOREALIAS >> gradle.properties
+ echo storepwd=$PASSWORD_KEYSTORE >> gradle.properties
fi
if [ ! -f local.properties ]; then
echo sdk.dir=$ANDROID_SDK > local.properties
More information about the Android
mailing list